Receive Emails: Contacts & audience
List Segments
Lists the saved segments of this mailbox, with the custom fields and the totals. Read only.
https://g.sendcorex.com/v1command: list_segmentsArguments
This endpoint takes no arguments.
Quick start
import axios from 'axios';
const response = await axios.post(
'https://g.sendcorex.com/v1',
{
commands: [
{
command: "list_segments"
}
]
},
{ headers: { Authorization: process.env.SENDCOREX_TOKEN } },
);
const [result] = response.data.results;
if (result.type !== 'SUCCESS') throw new Error(`${result.code}: ${result.message}`);
console.log(result.data);Response
{
"type": "SUCCESS",
"results": [
{
"command": "list_segments",
"id": "0",
"type": "SUCCESS",
"data": {
"segments": [
{
"segment_id": "seg_8Hq2",
"name": "Opened in 30 days",
"where": {
"last_open_at": {
"within_days": 30
}
},
"sort": null,
"created_at": "2026-11-21T10:00:00Z",
"updated_at": "2026-11-21T10:00:00Z"
}
],
"fields": [
{
"key": "plan",
"name": "Plan",
"type": "enum",
"options": [
"free",
"pro"
]
}
],
"stats": {
"total": 1240
}
}
}
]
}Response fields
segments[]segment_id,name,where,sort,created_atandupdated_at.fieldsCustom fields of the account. They are created in the dashboard.
statsContact totals for this mailbox.
Errors
HTTP-level errors return type, code and message. Errors marked CMD come back inside the command result, with HTTP 200.
- 401
TOKEN_EXPIREDThe access token has expired. Call Refresh Token and repeat the request.
- 401
INVALID_TOKENThe token is malformed, unknown or revoked.
- 429
RATE_LIMITEDMore than 15 requests/s or 15 in flight for the same IP + mailbox. Wait the number of seconds in Retry-After.
- CMD
INTERNALServer error. The detail is only written to the server log.